.preloader {
  position: fixed;
  width: 100%;
  height: 100%;
  text-align: center;
  z-index: 1000000;
  background-color: #fff;
  opacity: 1;
  visibility: visible;
  transition: all 0.3s ease;
}
.preloader.inactive {
  opacity: 0;
  visibility: hidden;
}
.preloader:after {
  content: "";
  display: inline-block;
  height: 100%;
  vertical-align: middle;
  margin-right: -0.25em;
}
.preloader:before {
  content: "";
  display: block;
  height: 100%;
}
.preloader .content {
  box-sizing: border-box;
  animation: fadein 0.5s 1s linear forwards;
  display: inline-block;
  vertical-align: middle;
  text-align: left;
  font-size: 0;
  opacity: 0;
}
.loader-line-mask {
  position: absolute;
  left: 50%;
  top: 50%;
  width: 30px;
  height: 60px;
  margin-left: -30px;
  margin-top: -30px;
  overflow: hidden;
  transform-origin: 30px 30px;
  -webkit-mask-image: -webkit-linear-gradient(top, #79c144, rgba(0, 0, 0, 0));
  mix-blend-mode: hard-light;
  opacity: 0.8;
}
.loader-line-mask .loader-line {
  width: 60px;
  height: 60px;
  border-radius: 50%;
}
.loader-line-mask.one {
  animation: rotate 1.6s infinite linear;
}
.loader-line-mask.one .loader-line {
  box-shadow: inset 0 0 0 8px #79c144;
}
.loader-line-mask.two {
  animation: rotate 1.6s 0.8s infinite linear;
}
.loader-line-mask.two .loader-line {
  box-shadow: inset 0 0 0 8px #79c144;
}
@keyframes rotate {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes fadein {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
